package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouOperationRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface KuaishouOperationRecordMapper extends BaseMapper<KuaishouOperationRecord> {

    void deleteOperationRecordInfoAccount(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoCampaign(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoUnit(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoCreative(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoVideo(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoPackage(@Param("record")KuaishouOperationRecord record);

    void deleteOperationRecordInfoApp(@Param("record")KuaishouOperationRecord record);



    void insertOperationRecordInfoAccount(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoCampaign(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoUnit(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoCreative(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoVideo(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoApp(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoPackage(@Param("records")List<KuaishouOperationRecord> records);



    List<KuaishouOperationRecord> selectCreativeRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectAccountRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectAppRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectCampaignRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectPackageRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectUnitRecordByStatDate(@Param("date") String date);

    List<KuaishouOperationRecord> selectVideoRecordByStatDate(@Param("date") String date);

    void insertOperationRecordInfoAccountNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoCampaignNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoUnitNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoCreativeNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoVideoNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoAppNew(@Param("records")List<KuaishouOperationRecord> records);

    void insertOperationRecordInfoPackageNew(@Param("records")List<KuaishouOperationRecord> records);

}
